# Time Picker

pg-timepicker is a fork of[ NG-ZORRO](https://github.com/NG-ZORRO/ng-zorro-antd) implementation of Time Picker Initial credits go to the author

## Importing

First import it to your app module or any submodule as you wish

```typescript
import { pgTimePickerModule } from '@pages/components/time-picker/timepicker.module';
@NgModule({
  imports: [pgTimePickerModule,...]
})
export class AppModule(){}
```

## How to use&#x20;

Basic Select with Search

{% tabs %}
{% tab title="HTML" %}

```markup
<pg-timepicker [(ngModel)]="_date"></pg-timepicker>
```

{% endtab %}
{% endtabs %}

## API

| parameter           | Instructions                                 | Types of                               | Defaults             |
| ------------------- | -------------------------------------------- | -------------------------------------- | -------------------- |
| of the Model        | Default time                                 | string or Date                         | no                   |
| PlaceHolder         | The content displayed when there is no value | String                                 | "Please select time" |
| Format              | Displayed time format                        | String                                 | "HH:mm:ss","HH:mm"   |
| Disabled            | Disable all actions                          | Boolean                                | false                |
| DisabledHours       | Prohibit selection of partial hours option   | function()                             | no                   |
| DisabledMinutes     | Do not select partial minutes option         | function(selectedHour)                 | no                   |
| DisabledSeconds     | Disable selection of partial seconds         | function(selectedHour, selectedMinute) | no                   |
| HideDisabledOptions | Add this property to hide forbidden options  | attribute                              | -                    |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pages.revox.io/angular/forms/time-picker.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
